Subject: RE: bug#18281: 24.4.50; doc of `customize-apropos*'

From: Drew Adams <[email-masked]>
Date: Sat, 3 Aug 2019 14:11:27 -0700 (PDT)

> >  If you provide a list of words then all possible pairs of the words
> >  are matched together, in both orders, against the name of each 
> >  Customize object of TYPE.  That is, the object name must contain
> >  both words as substrings.
> 
> I don't know what the doc string said at the time you filed the report
> (it would be helpful if you included that in your reports),

The build reported is the one the report is about.
(That's why build info is included.)  And yes, that
was 5 years ago...

A guess is that it said the same thing that is said
in Emacs 23.4 - just this:

customize-apropos is an interactive autoloaded Lisp function in
`cus-edit.el'.

It is bound to <menu-bar> <options> <customize> <customize-apropos>.

(customize-apropos REGEXP &optional ALL)

Customize all loaded options, faces and groups matching REGEXP.
If ALL is `options', include only options.
If ALL is `faces', include only faces.
If ALL is `groups', include only groups.
If ALL is t (interactively, with prefix arg), include variables
that are not customizable options, as well as faces and groups
(but we recommend using `apropos-variable' instead).

> but currently it says:
> 
> Customize loaded options, faces and groups matching PATTERN.
> PATTERN can be a word, a list of words (separated by spaces),
> or a regexp (using some regexp special characters).  If it is a word,
> search for matches for that word as a substring.  If it is a list of
> words, search for matches for any two (or more) of those words.

Good.